2019-03-26 21:25 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002163NetSurfBeOS-specificpublic2016-02-16 15:24
ReporterAugustin Cavalier 
Assigned ToFrançois Revol 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformOSHaikuOS Versionhrev47449
Product Version3.2 
Target VersionFixed in Version3.4 
Summary0002163: Dragging NetSurf replicant onto the Desktop causes a crash
DescriptionBacktrace attached.
Steps To Reproduce1. open NetSurf
2. drag the replicant onto the desktop
3. crashes!
TagsNo tags attached.
Fixed in CI build #2991
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
François Revol

~0000400

François Revol (developer)

There are still some bugs in the replicant code, and now the gcc2 build is broken anyway, and one can't use a gcc4-built NS as replicant in a gcc2 Tracker.
PulkoMandy

~0000921

PulkoMandy (reporter)

But it still does crash. Should we remove the replicant handle from the UI?
PulkoMandy

~0000922

PulkoMandy (reporter)

Patch to remove the feature from the UI:
http://pulkomandy.tk/drop/NetSurf/0005-BeOS-Haiku-Disable-replicant-dragger.patch
Vincent Sanders

~0000953

Vincent Sanders (administrator)

Applied patch from PulkoMandy
Vincent Sanders

~0001293

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-07-03 14:37 Augustin Cavalier New Issue
2014-07-03 14:37 Augustin Cavalier File Added: Tracker-441-debug-03-07-2014-01-41-46.report
2014-07-03 14:50 Vincent Sanders Status new => acknowledged
2014-07-03 14:50 Vincent Sanders Product Version => 3.2
2014-07-03 14:53 Vincent Sanders Assigned To => François Revol
2014-07-03 18:20 François Revol Note Added: 0000400
2015-08-17 18:38 PulkoMandy Note Added: 0000921
2015-08-18 06:49 PulkoMandy Note Added: 0000922
2015-10-12 20:50 Vincent Sanders Fixed in CI build # => 2991
2015-10-12 20:50 Vincent Sanders Note Added: 0000953
2015-10-12 20:50 Vincent Sanders Status acknowledged => resolved
2015-10-12 20:50 Vincent Sanders Resolution open => fixed
2015-10-12 20:50 Vincent Sanders Fixed in Version => 3.4
2016-02-16 15:24 Vincent Sanders Note Added: 0001293
2016-02-16 15:24 Vincent Sanders Status resolved => closed
+Issue History